<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/PTree/TypeVisitor.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/PTree/TypeVisitor.hh Details</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/PTree/TypeVisitor.hh</h1><div><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><ul>
<li>include <a href="../PTree.hh.html" >Synopsis/PTree.hh</a></li>
<li>include <a href="TypeVisitor.hh.html" >Synopsis/PTree/TypeVisitor.hh</a></li>
</ul>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Synopsis::PTree</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html" >TypeVisitor</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::TypeVisitor</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#my_type" >my_type</a>
<div class="doc"></div></div>

</div>
<div><h3>Functions in Synopsis::PTree</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#is_a_lconst.Node_S_cToken_mType_r" >is_a&#40;const&#160;Node*&#44;Token::Type&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#is_a_lconst.Node_S_cToken_mType_cToken_mType_r" >is_a&#40;const&#160;Node*&#44;Token::Type&#44;Token::Type&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#is_a_lconst.Node_S_cToken_mType_cToken_mType_cToken_mType_r" >is_a&#40;const&#160;Node*&#44;Token::Type&#44;Token::Type&#44;Token::Type&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#type_of_lconst.Node_S_r" >type_of&#40;const&#160;Node*&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::PTree::TypeVisitor</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#TypeVisitor_l_r" >TypeVisitor&#40;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#type_of_lNode_S_r" >type_of&#40;Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lAccessDecl_S_r" >visit&#40;AccessDecl*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lAccessSpec_S_r" >visit&#40;AccessSpec*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lArrayExpr_S_r" >visit&#40;ArrayExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lArrowMemberExpr_S_r" >visit&#40;ArrowMemberExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lAssignExpr_S_r" >visit&#40;AssignExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lBreakStatement_S_r" >visit&#40;BreakStatement*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lCaseStatement_S_r" >visit&#40;CaseStatement*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lCastExpr_S_r" >visit&#40;CastExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lClassSpec_S_r" >visit&#40;ClassSpec*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lCondExpr_S_r" >visit&#40;CondExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lContinueStatement_S_r" >visit&#40;ContinueStatement*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDeclaration_S_r" >visit&#40;Declaration*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDeclarator_S_r" >visit&#40;Declarator*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDefaultStatement_S_r" >visit&#40;DefaultStatement*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDeleteExpr_S_r" >visit&#40;DeleteExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDoStatement_S_r" >visit&#40;DoStatement*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDotMemberExpr_S_r" >visit&#40;DotMemberExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lEnumSpec_S_r" >visit&#40;EnumSpec*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lExprStatement_S_r" >visit&#40;ExprStatement*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lExpression_S_r" >visit&#40;Expression*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lExternTemplate_S_r" >visit&#40;ExternTemplate*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lForStatement_S_r" >visit&#40;ForStatement*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lFstyleCastExpr_S_r" >visit&#40;FstyleCastExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lFuncallExpr_S_r" >visit&#40;FuncallExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lGotoStatement_S_r" >visit&#40;GotoStatement*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lIdentifier_S_r" >visit&#40;Identifier*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lIfStatement_S_r" >visit&#40;IfStatement*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lInfixExpr_S_r" >visit&#40;InfixExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lKeyword_S_r" >visit&#40;Keyword*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lLabelStatement_S_r" >visit&#40;LabelStatement*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lLinkageSpec_S_r" >visit&#40;LinkageSpec*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lLiteral_S_r" >visit&#40;Literal*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lMetaclassDecl_S_r" >visit&#40;MetaclassDecl*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lName_S_r" >visit&#40;Name*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lNamespaceAlias_S_r" >visit&#40;NamespaceAlias*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lNamespaceSpec_S_r" >visit&#40;NamespaceSpec*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lNewExpr_S_r" >visit&#40;NewExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lParameterDeclaration_S_r" >visit&#40;ParameterDeclaration*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lParenExpr_S_r" >visit&#40;ParenExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lPmExpr_S_r" >visit&#40;PmExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lPostfixExpr_S_r" >visit&#40;PostfixExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lReturnStatement_S_r" >visit&#40;ReturnStatement*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lSizeofExpr_S_r" >visit&#40;SizeofExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lSwitchStatement_S_r" >visit&#40;SwitchStatement*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTemplateDecl_S_r" >visit&#40;TemplateDecl*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTemplateInstantiation_S_r" >visit&#40;TemplateInstantiation*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lThrowExpr_S_r" >visit&#40;ThrowExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTryStatement_S_r" >visit&#40;TryStatement*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypeParameter_S_r" >visit&#40;TypeParameter*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypedef_S_r" >visit&#40;Typedef*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypeidExpr_S_r" >visit&#40;TypeidExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypeofExpr_S_r" >visit&#40;TypeofExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUnaryExpr_S_r" >visit&#40;UnaryExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUserAccessSpec_S_r" >visit&#40;UserAccessSpec*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUsingDeclaration_S_r" >visit&#40;UsingDeclaration*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUsingDirective_S_r" >visit&#40;UsingDirective*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lWhileStatement_S_r" >visit&#40;WhileStatement*&#41;</a>
<div class="doc"></div></div>
</div>

</body>
</html>
